IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network7.200.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
- Network address
7.200.0.0- Broadcast address
7.207.255.255- First usable
7.200.0.1- Last usable
7.207.255.254- Usable hosts
- 524,286 (524,288 less the network and broadcast addresses)
- Subnet mask
255.248.0.0- Wildcard mask
0.7.255.255(Cisco ACLs, OSPF)- Prefix length
- /13
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
07C80000· Integer130547712to131071999 - Reverse DNS zones
200.7.in-addr.arpa201.7.in-addr.arpa202.7.in-addr.arpa203.7.in-addr.arpa204.7.in-addr.arpa205.7.in-addr.arpa206.7.in-addr.arpa207.7.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000111.11001000.00000000.00000000 | 7.200.0.0 |
| Subnet mask | 11111111.11111000.00000000.00000000 | 255.248.0.0 |
| Network | 00000111.11001000.00000000.00000000 | 7.200.0.0 |
| Broadcast | 00000111.11001111.11111111.11111111 | 7.207.255.255 |
Split into smaller subnets
/14 (2)/15 (4)/16 (8)/17 (16)/18 (32)/19 (64)/20 (128)/21 (256)/22 (512)/23 (1,024)/24 (2,048)/25 (4,096)
7.200.0.0/13 makes 1,024 subnets of /23; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 7.200.0.0/23 | 7.200.0.1 to 7.200.1.254 | 7.200.1.255 | 510 |
| 2 | 7.200.2.0/23 | 7.200.2.1 to 7.200.3.254 | 7.200.3.255 | 510 |
| 3 | 7.200.4.0/23 | 7.200.4.1 to 7.200.5.254 | 7.200.5.255 | 510 |
| 4 | 7.200.6.0/23 | 7.200.6.1 to 7.200.7.254 | 7.200.7.255 | 510 |
| 5 | 7.200.8.0/23 | 7.200.8.1 to 7.200.9.254 | 7.200.9.255 | 510 |
| 6 | 7.200.10.0/23 | 7.200.10.1 to 7.200.11.254 | 7.200.11.255 | 510 |
| 7 | 7.200.12.0/23 | 7.200.12.1 to 7.200.13.254 | 7.200.13.255 | 510 |
| 8 | 7.200.14.0/23 | 7.200.14.1 to 7.200.15.254 | 7.200.15.255 | 510 |
| 9 | 7.200.16.0/23 | 7.200.16.1 to 7.200.17.254 | 7.200.17.255 | 510 |
| 10 | 7.200.18.0/23 | 7.200.18.1 to 7.200.19.254 | 7.200.19.255 | 510 |
| 11 | 7.200.20.0/23 | 7.200.20.1 to 7.200.21.254 | 7.200.21.255 | 510 |
| 12 | 7.200.22.0/23 | 7.200.22.1 to 7.200.23.254 | 7.200.23.255 | 510 |
| 13 | 7.200.24.0/23 | 7.200.24.1 to 7.200.25.254 | 7.200.25.255 | 510 |
| 14 | 7.200.26.0/23 | 7.200.26.1 to 7.200.27.254 | 7.200.27.255 | 510 |
| 15 | 7.200.28.0/23 | 7.200.28.1 to 7.200.29.254 | 7.200.29.255 | 510 |
| 16 | 7.200.30.0/23 | 7.200.30.1 to 7.200.31.254 | 7.200.31.255 | 510 |
| 17 | 7.200.32.0/23 | 7.200.32.1 to 7.200.33.254 | 7.200.33.255 | 510 |
| 18 | 7.200.34.0/23 | 7.200.34.1 to 7.200.35.254 | 7.200.35.255 | 510 |
| 19 | 7.200.36.0/23 | 7.200.36.1 to 7.200.37.254 | 7.200.37.255 | 510 |
| 20 | 7.200.38.0/23 | 7.200.38.1 to 7.200.39.254 | 7.200.39.255 | 510 |
| 21 | 7.200.40.0/23 | 7.200.40.1 to 7.200.41.254 | 7.200.41.255 | 510 |
| 22 | 7.200.42.0/23 | 7.200.42.1 to 7.200.43.254 | 7.200.43.255 | 510 |
| 23 | 7.200.44.0/23 | 7.200.44.1 to 7.200.45.254 | 7.200.45.255 | 510 |
| 24 | 7.200.46.0/23 | 7.200.46.1 to 7.200.47.254 | 7.200.47.255 | 510 |
| 25 | 7.200.48.0/23 | 7.200.48.1 to 7.200.49.254 | 7.200.49.255 | 510 |
| 26 | 7.200.50.0/23 | 7.200.50.1 to 7.200.51.254 | 7.200.51.255 | 510 |
| 27 | 7.200.52.0/23 | 7.200.52.1 to 7.200.53.254 | 7.200.53.255 | 510 |
| 28 | 7.200.54.0/23 | 7.200.54.1 to 7.200.55.254 | 7.200.55.255 | 510 |
| 29 | 7.200.56.0/23 | 7.200.56.1 to 7.200.57.254 | 7.200.57.255 | 510 |
| 30 | 7.200.58.0/23 | 7.200.58.1 to 7.200.59.254 | 7.200.59.255 | 510 |
| 31 | 7.200.60.0/23 | 7.200.60.1 to 7.200.61.254 | 7.200.61.255 | 510 |
| 32 | 7.200.62.0/23 | 7.200.62.1 to 7.200.63.254 | 7.200.63.255 | 510 |
| 33 | 7.200.64.0/23 | 7.200.64.1 to 7.200.65.254 | 7.200.65.255 | 510 |
| 34 | 7.200.66.0/23 | 7.200.66.1 to 7.200.67.254 | 7.200.67.255 | 510 |
| 35 | 7.200.68.0/23 | 7.200.68.1 to 7.200.69.254 | 7.200.69.255 | 510 |
| 36 | 7.200.70.0/23 | 7.200.70.1 to 7.200.71.254 | 7.200.71.255 | 510 |
| 37 | 7.200.72.0/23 | 7.200.72.1 to 7.200.73.254 | 7.200.73.255 | 510 |
| 38 | 7.200.74.0/23 | 7.200.74.1 to 7.200.75.254 | 7.200.75.255 | 510 |
| 39 | 7.200.76.0/23 | 7.200.76.1 to 7.200.77.254 | 7.200.77.255 | 510 |
| 40 | 7.200.78.0/23 | 7.200.78.1 to 7.200.79.254 | 7.200.79.255 | 510 |
| 41 | 7.200.80.0/23 | 7.200.80.1 to 7.200.81.254 | 7.200.81.255 | 510 |
| 42 | 7.200.82.0/23 | 7.200.82.1 to 7.200.83.254 | 7.200.83.255 | 510 |
| 43 | 7.200.84.0/23 | 7.200.84.1 to 7.200.85.254 | 7.200.85.255 | 510 |
| 44 | 7.200.86.0/23 | 7.200.86.1 to 7.200.87.254 | 7.200.87.255 | 510 |
| 45 | 7.200.88.0/23 | 7.200.88.1 to 7.200.89.254 | 7.200.89.255 | 510 |
| 46 | 7.200.90.0/23 | 7.200.90.1 to 7.200.91.254 | 7.200.91.255 | 510 |
| 47 | 7.200.92.0/23 | 7.200.92.1 to 7.200.93.254 | 7.200.93.255 | 510 |
| 48 | 7.200.94.0/23 | 7.200.94.1 to 7.200.95.254 | 7.200.95.255 | 510 |
| 49 | 7.200.96.0/23 | 7.200.96.1 to 7.200.97.254 | 7.200.97.255 | 510 |
| 50 | 7.200.98.0/23 | 7.200.98.1 to 7.200.99.254 | 7.200.99.255 | 510 |
| 51 | 7.200.100.0/23 | 7.200.100.1 to 7.200.101.254 | 7.200.101.255 | 510 |
| 52 | 7.200.102.0/23 | 7.200.102.1 to 7.200.103.254 | 7.200.103.255 | 510 |
| 53 | 7.200.104.0/23 | 7.200.104.1 to 7.200.105.254 | 7.200.105.255 | 510 |
| 54 | 7.200.106.0/23 | 7.200.106.1 to 7.200.107.254 | 7.200.107.255 | 510 |
| 55 | 7.200.108.0/23 | 7.200.108.1 to 7.200.109.254 | 7.200.109.255 | 510 |
| 56 | 7.200.110.0/23 | 7.200.110.1 to 7.200.111.254 | 7.200.111.255 | 510 |
| 57 | 7.200.112.0/23 | 7.200.112.1 to 7.200.113.254 | 7.200.113.255 | 510 |
| 58 | 7.200.114.0/23 | 7.200.114.1 to 7.200.115.254 | 7.200.115.255 | 510 |
| 59 | 7.200.116.0/23 | 7.200.116.1 to 7.200.117.254 | 7.200.117.255 | 510 |
| 60 | 7.200.118.0/23 | 7.200.118.1 to 7.200.119.254 | 7.200.119.255 | 510 |
| 61 | 7.200.120.0/23 | 7.200.120.1 to 7.200.121.254 | 7.200.121.255 | 510 |
| 62 | 7.200.122.0/23 | 7.200.122.1 to 7.200.123.254 | 7.200.123.255 | 510 |
| 63 | 7.200.124.0/23 | 7.200.124.1 to 7.200.125.254 | 7.200.125.255 | 510 |
| 64 | 7.200.126.0/23 | 7.200.126.1 to 7.200.127.254 | 7.200.127.255 | 510 |
| 65 | 7.200.128.0/23 | 7.200.128.1 to 7.200.129.254 | 7.200.129.255 | 510 |
| 66 | 7.200.130.0/23 | 7.200.130.1 to 7.200.131.254 | 7.200.131.255 | 510 |
| 67 | 7.200.132.0/23 | 7.200.132.1 to 7.200.133.254 | 7.200.133.255 | 510 |
| 68 | 7.200.134.0/23 | 7.200.134.1 to 7.200.135.254 | 7.200.135.255 | 510 |
| 69 | 7.200.136.0/23 | 7.200.136.1 to 7.200.137.254 | 7.200.137.255 | 510 |
| 70 | 7.200.138.0/23 | 7.200.138.1 to 7.200.139.254 | 7.200.139.255 | 510 |
| 71 | 7.200.140.0/23 | 7.200.140.1 to 7.200.141.254 | 7.200.141.255 | 510 |
| 72 | 7.200.142.0/23 | 7.200.142.1 to 7.200.143.254 | 7.200.143.255 | 510 |
| 73 | 7.200.144.0/23 | 7.200.144.1 to 7.200.145.254 | 7.200.145.255 | 510 |
| 74 | 7.200.146.0/23 | 7.200.146.1 to 7.200.147.254 | 7.200.147.255 | 510 |
| 75 | 7.200.148.0/23 | 7.200.148.1 to 7.200.149.254 | 7.200.149.255 | 510 |
| 76 | 7.200.150.0/23 | 7.200.150.1 to 7.200.151.254 | 7.200.151.255 | 510 |
| 77 | 7.200.152.0/23 | 7.200.152.1 to 7.200.153.254 | 7.200.153.255 | 510 |
| 78 | 7.200.154.0/23 | 7.200.154.1 to 7.200.155.254 | 7.200.155.255 | 510 |
| 79 | 7.200.156.0/23 | 7.200.156.1 to 7.200.157.254 | 7.200.157.255 | 510 |
| 80 | 7.200.158.0/23 | 7.200.158.1 to 7.200.159.254 | 7.200.159.255 | 510 |
| 81 | 7.200.160.0/23 | 7.200.160.1 to 7.200.161.254 | 7.200.161.255 | 510 |
| 82 | 7.200.162.0/23 | 7.200.162.1 to 7.200.163.254 | 7.200.163.255 | 510 |
| 83 | 7.200.164.0/23 | 7.200.164.1 to 7.200.165.254 | 7.200.165.255 | 510 |
| 84 | 7.200.166.0/23 | 7.200.166.1 to 7.200.167.254 | 7.200.167.255 | 510 |
| 85 | 7.200.168.0/23 | 7.200.168.1 to 7.200.169.254 | 7.200.169.255 | 510 |
| 86 | 7.200.170.0/23 | 7.200.170.1 to 7.200.171.254 | 7.200.171.255 | 510 |
| 87 | 7.200.172.0/23 | 7.200.172.1 to 7.200.173.254 | 7.200.173.255 | 510 |
| 88 | 7.200.174.0/23 | 7.200.174.1 to 7.200.175.254 | 7.200.175.255 | 510 |
| 89 | 7.200.176.0/23 | 7.200.176.1 to 7.200.177.254 | 7.200.177.255 | 510 |
| 90 | 7.200.178.0/23 | 7.200.178.1 to 7.200.179.254 | 7.200.179.255 | 510 |
| 91 | 7.200.180.0/23 | 7.200.180.1 to 7.200.181.254 | 7.200.181.255 | 510 |
| 92 | 7.200.182.0/23 | 7.200.182.1 to 7.200.183.254 | 7.200.183.255 | 510 |
| 93 | 7.200.184.0/23 | 7.200.184.1 to 7.200.185.254 | 7.200.185.255 | 510 |
| 94 | 7.200.186.0/23 | 7.200.186.1 to 7.200.187.254 | 7.200.187.255 | 510 |
| 95 | 7.200.188.0/23 | 7.200.188.1 to 7.200.189.254 | 7.200.189.255 | 510 |
| 96 | 7.200.190.0/23 | 7.200.190.1 to 7.200.191.254 | 7.200.191.255 | 510 |
| 97 | 7.200.192.0/23 | 7.200.192.1 to 7.200.193.254 | 7.200.193.255 | 510 |
| 98 | 7.200.194.0/23 | 7.200.194.1 to 7.200.195.254 | 7.200.195.255 | 510 |
| 99 | 7.200.196.0/23 | 7.200.196.1 to 7.200.197.254 | 7.200.197.255 | 510 |
| 100 | 7.200.198.0/23 | 7.200.198.1 to 7.200.199.254 | 7.200.199.255 | 510 |
| 101 | 7.200.200.0/23 | 7.200.200.1 to 7.200.201.254 | 7.200.201.255 | 510 |
| 102 | 7.200.202.0/23 | 7.200.202.1 to 7.200.203.254 | 7.200.203.255 | 510 |
| 103 | 7.200.204.0/23 | 7.200.204.1 to 7.200.205.254 | 7.200.205.255 | 510 |
| 104 | 7.200.206.0/23 | 7.200.206.1 to 7.200.207.254 | 7.200.207.255 | 510 |
| 105 | 7.200.208.0/23 | 7.200.208.1 to 7.200.209.254 | 7.200.209.255 | 510 |
| 106 | 7.200.210.0/23 | 7.200.210.1 to 7.200.211.254 | 7.200.211.255 | 510 |
| 107 | 7.200.212.0/23 | 7.200.212.1 to 7.200.213.254 | 7.200.213.255 | 510 |
| 108 | 7.200.214.0/23 | 7.200.214.1 to 7.200.215.254 | 7.200.215.255 | 510 |
| 109 | 7.200.216.0/23 | 7.200.216.1 to 7.200.217.254 | 7.200.217.255 | 510 |
| 110 | 7.200.218.0/23 | 7.200.218.1 to 7.200.219.254 | 7.200.219.255 | 510 |
| 111 | 7.200.220.0/23 | 7.200.220.1 to 7.200.221.254 | 7.200.221.255 | 510 |
| 112 | 7.200.222.0/23 | 7.200.222.1 to 7.200.223.254 | 7.200.223.255 | 510 |
| 113 | 7.200.224.0/23 | 7.200.224.1 to 7.200.225.254 | 7.200.225.255 | 510 |
| 114 | 7.200.226.0/23 | 7.200.226.1 to 7.200.227.254 | 7.200.227.255 | 510 |
| 115 | 7.200.228.0/23 | 7.200.228.1 to 7.200.229.254 | 7.200.229.255 | 510 |
| 116 | 7.200.230.0/23 | 7.200.230.1 to 7.200.231.254 | 7.200.231.255 | 510 |
| 117 | 7.200.232.0/23 | 7.200.232.1 to 7.200.233.254 | 7.200.233.255 | 510 |
| 118 | 7.200.234.0/23 | 7.200.234.1 to 7.200.235.254 | 7.200.235.255 | 510 |
| 119 | 7.200.236.0/23 | 7.200.236.1 to 7.200.237.254 | 7.200.237.255 | 510 |
| 120 | 7.200.238.0/23 | 7.200.238.1 to 7.200.239.254 | 7.200.239.255 | 510 |
| 121 | 7.200.240.0/23 | 7.200.240.1 to 7.200.241.254 | 7.200.241.255 | 510 |
| 122 | 7.200.242.0/23 | 7.200.242.1 to 7.200.243.254 | 7.200.243.255 | 510 |
| 123 | 7.200.244.0/23 | 7.200.244.1 to 7.200.245.254 | 7.200.245.255 | 510 |
| 124 | 7.200.246.0/23 | 7.200.246.1 to 7.200.247.254 | 7.200.247.255 | 510 |
| 125 | 7.200.248.0/23 | 7.200.248.1 to 7.200.249.254 | 7.200.249.255 | 510 |
| 126 | 7.200.250.0/23 | 7.200.250.1 to 7.200.251.254 | 7.200.251.255 | 510 |
| 127 | 7.200.252.0/23 | 7.200.252.1 to 7.200.253.254 | 7.200.253.255 | 510 |
| 128 | 7.200.254.0/23 | 7.200.254.1 to 7.200.255.254 | 7.200.255.255 | 510 |
| 129 | 7.201.0.0/23 | 7.201.0.1 to 7.201.1.254 | 7.201.1.255 | 510 |
| 130 | 7.201.2.0/23 | 7.201.2.1 to 7.201.3.254 | 7.201.3.255 | 510 |
| 131 | 7.201.4.0/23 | 7.201.4.1 to 7.201.5.254 | 7.201.5.255 | 510 |
| 132 | 7.201.6.0/23 | 7.201.6.1 to 7.201.7.254 | 7.201.7.255 | 510 |
| 133 | 7.201.8.0/23 | 7.201.8.1 to 7.201.9.254 | 7.201.9.255 | 510 |
| 134 | 7.201.10.0/23 | 7.201.10.1 to 7.201.11.254 | 7.201.11.255 | 510 |
| 135 | 7.201.12.0/23 | 7.201.12.1 to 7.201.13.254 | 7.201.13.255 | 510 |
| 136 | 7.201.14.0/23 | 7.201.14.1 to 7.201.15.254 | 7.201.15.255 | 510 |
| 137 | 7.201.16.0/23 | 7.201.16.1 to 7.201.17.254 | 7.201.17.255 | 510 |
| 138 | 7.201.18.0/23 | 7.201.18.1 to 7.201.19.254 | 7.201.19.255 | 510 |
| 139 | 7.201.20.0/23 | 7.201.20.1 to 7.201.21.254 | 7.201.21.255 | 510 |
| 140 | 7.201.22.0/23 | 7.201.22.1 to 7.201.23.254 | 7.201.23.255 | 510 |
| 141 | 7.201.24.0/23 | 7.201.24.1 to 7.201.25.254 | 7.201.25.255 | 510 |
| 142 | 7.201.26.0/23 | 7.201.26.1 to 7.201.27.254 | 7.201.27.255 | 510 |
| 143 | 7.201.28.0/23 | 7.201.28.1 to 7.201.29.254 | 7.201.29.255 | 510 |
| 144 | 7.201.30.0/23 | 7.201.30.1 to 7.201.31.254 | 7.201.31.255 | 510 |
| 145 | 7.201.32.0/23 | 7.201.32.1 to 7.201.33.254 | 7.201.33.255 | 510 |
| 146 | 7.201.34.0/23 | 7.201.34.1 to 7.201.35.254 | 7.201.35.255 | 510 |
| 147 | 7.201.36.0/23 | 7.201.36.1 to 7.201.37.254 | 7.201.37.255 | 510 |
| 148 | 7.201.38.0/23 | 7.201.38.1 to 7.201.39.254 | 7.201.39.255 | 510 |
| 149 | 7.201.40.0/23 | 7.201.40.1 to 7.201.41.254 | 7.201.41.255 | 510 |
| 150 | 7.201.42.0/23 | 7.201.42.1 to 7.201.43.254 | 7.201.43.255 | 510 |
| 151 | 7.201.44.0/23 | 7.201.44.1 to 7.201.45.254 | 7.201.45.255 | 510 |
| 152 | 7.201.46.0/23 | 7.201.46.1 to 7.201.47.254 | 7.201.47.255 | 510 |
| 153 | 7.201.48.0/23 | 7.201.48.1 to 7.201.49.254 | 7.201.49.255 | 510 |
| 154 | 7.201.50.0/23 | 7.201.50.1 to 7.201.51.254 | 7.201.51.255 | 510 |
| 155 | 7.201.52.0/23 | 7.201.52.1 to 7.201.53.254 | 7.201.53.255 | 510 |
| 156 | 7.201.54.0/23 | 7.201.54.1 to 7.201.55.254 | 7.201.55.255 | 510 |
| 157 | 7.201.56.0/23 | 7.201.56.1 to 7.201.57.254 | 7.201.57.255 | 510 |
| 158 | 7.201.58.0/23 | 7.201.58.1 to 7.201.59.254 | 7.201.59.255 | 510 |
| 159 | 7.201.60.0/23 | 7.201.60.1 to 7.201.61.254 | 7.201.61.255 | 510 |
| 160 | 7.201.62.0/23 | 7.201.62.1 to 7.201.63.254 | 7.201.63.255 | 510 |
| 161 | 7.201.64.0/23 | 7.201.64.1 to 7.201.65.254 | 7.201.65.255 | 510 |
| 162 | 7.201.66.0/23 | 7.201.66.1 to 7.201.67.254 | 7.201.67.255 | 510 |
| 163 | 7.201.68.0/23 | 7.201.68.1 to 7.201.69.254 | 7.201.69.255 | 510 |
| 164 | 7.201.70.0/23 | 7.201.70.1 to 7.201.71.254 | 7.201.71.255 | 510 |
| 165 | 7.201.72.0/23 | 7.201.72.1 to 7.201.73.254 | 7.201.73.255 | 510 |
| 166 | 7.201.74.0/23 | 7.201.74.1 to 7.201.75.254 | 7.201.75.255 | 510 |
| 167 | 7.201.76.0/23 | 7.201.76.1 to 7.201.77.254 | 7.201.77.255 | 510 |
| 168 | 7.201.78.0/23 | 7.201.78.1 to 7.201.79.254 | 7.201.79.255 | 510 |
| 169 | 7.201.80.0/23 | 7.201.80.1 to 7.201.81.254 | 7.201.81.255 | 510 |
| 170 | 7.201.82.0/23 | 7.201.82.1 to 7.201.83.254 | 7.201.83.255 | 510 |
| 171 | 7.201.84.0/23 | 7.201.84.1 to 7.201.85.254 | 7.201.85.255 | 510 |
| 172 | 7.201.86.0/23 | 7.201.86.1 to 7.201.87.254 | 7.201.87.255 | 510 |
| 173 | 7.201.88.0/23 | 7.201.88.1 to 7.201.89.254 | 7.201.89.255 | 510 |
| 174 | 7.201.90.0/23 | 7.201.90.1 to 7.201.91.254 | 7.201.91.255 | 510 |
| 175 | 7.201.92.0/23 | 7.201.92.1 to 7.201.93.254 | 7.201.93.255 | 510 |
| 176 | 7.201.94.0/23 | 7.201.94.1 to 7.201.95.254 | 7.201.95.255 | 510 |
| 177 | 7.201.96.0/23 | 7.201.96.1 to 7.201.97.254 | 7.201.97.255 | 510 |
| 178 | 7.201.98.0/23 | 7.201.98.1 to 7.201.99.254 | 7.201.99.255 | 510 |
| 179 | 7.201.100.0/23 | 7.201.100.1 to 7.201.101.254 | 7.201.101.255 | 510 |
| 180 | 7.201.102.0/23 | 7.201.102.1 to 7.201.103.254 | 7.201.103.255 | 510 |
| 181 | 7.201.104.0/23 | 7.201.104.1 to 7.201.105.254 | 7.201.105.255 | 510 |
| 182 | 7.201.106.0/23 | 7.201.106.1 to 7.201.107.254 | 7.201.107.255 | 510 |
| 183 | 7.201.108.0/23 | 7.201.108.1 to 7.201.109.254 | 7.201.109.255 | 510 |
| 184 | 7.201.110.0/23 | 7.201.110.1 to 7.201.111.254 | 7.201.111.255 | 510 |
| 185 | 7.201.112.0/23 | 7.201.112.1 to 7.201.113.254 | 7.201.113.255 | 510 |
| 186 | 7.201.114.0/23 | 7.201.114.1 to 7.201.115.254 | 7.201.115.255 | 510 |
| 187 | 7.201.116.0/23 | 7.201.116.1 to 7.201.117.254 | 7.201.117.255 | 510 |
| 188 | 7.201.118.0/23 | 7.201.118.1 to 7.201.119.254 | 7.201.119.255 | 510 |
| 189 | 7.201.120.0/23 | 7.201.120.1 to 7.201.121.254 | 7.201.121.255 | 510 |
| 190 | 7.201.122.0/23 | 7.201.122.1 to 7.201.123.254 | 7.201.123.255 | 510 |
| 191 | 7.201.124.0/23 | 7.201.124.1 to 7.201.125.254 | 7.201.125.255 | 510 |
| 192 | 7.201.126.0/23 | 7.201.126.1 to 7.201.127.254 | 7.201.127.255 | 510 |
| 193 | 7.201.128.0/23 | 7.201.128.1 to 7.201.129.254 | 7.201.129.255 | 510 |
| 194 | 7.201.130.0/23 | 7.201.130.1 to 7.201.131.254 | 7.201.131.255 | 510 |
| 195 | 7.201.132.0/23 | 7.201.132.1 to 7.201.133.254 | 7.201.133.255 | 510 |
| 196 | 7.201.134.0/23 | 7.201.134.1 to 7.201.135.254 | 7.201.135.255 | 510 |
| 197 | 7.201.136.0/23 | 7.201.136.1 to 7.201.137.254 | 7.201.137.255 | 510 |
| 198 | 7.201.138.0/23 | 7.201.138.1 to 7.201.139.254 | 7.201.139.255 | 510 |
| 199 | 7.201.140.0/23 | 7.201.140.1 to 7.201.141.254 | 7.201.141.255 | 510 |
| 200 | 7.201.142.0/23 | 7.201.142.1 to 7.201.143.254 | 7.201.143.255 | 510 |
| 201 | 7.201.144.0/23 | 7.201.144.1 to 7.201.145.254 | 7.201.145.255 | 510 |
| 202 | 7.201.146.0/23 | 7.201.146.1 to 7.201.147.254 | 7.201.147.255 | 510 |
| 203 | 7.201.148.0/23 | 7.201.148.1 to 7.201.149.254 | 7.201.149.255 | 510 |
| 204 | 7.201.150.0/23 | 7.201.150.1 to 7.201.151.254 | 7.201.151.255 | 510 |
| 205 | 7.201.152.0/23 | 7.201.152.1 to 7.201.153.254 | 7.201.153.255 | 510 |
| 206 | 7.201.154.0/23 | 7.201.154.1 to 7.201.155.254 | 7.201.155.255 | 510 |
| 207 | 7.201.156.0/23 | 7.201.156.1 to 7.201.157.254 | 7.201.157.255 | 510 |
| 208 | 7.201.158.0/23 | 7.201.158.1 to 7.201.159.254 | 7.201.159.255 | 510 |
| 209 | 7.201.160.0/23 | 7.201.160.1 to 7.201.161.254 | 7.201.161.255 | 510 |
| 210 | 7.201.162.0/23 | 7.201.162.1 to 7.201.163.254 | 7.201.163.255 | 510 |
| 211 | 7.201.164.0/23 | 7.201.164.1 to 7.201.165.254 | 7.201.165.255 | 510 |
| 212 | 7.201.166.0/23 | 7.201.166.1 to 7.201.167.254 | 7.201.167.255 | 510 |
| 213 | 7.201.168.0/23 | 7.201.168.1 to 7.201.169.254 | 7.201.169.255 | 510 |
| 214 | 7.201.170.0/23 | 7.201.170.1 to 7.201.171.254 | 7.201.171.255 | 510 |
| 215 | 7.201.172.0/23 | 7.201.172.1 to 7.201.173.254 | 7.201.173.255 | 510 |
| 216 | 7.201.174.0/23 | 7.201.174.1 to 7.201.175.254 | 7.201.175.255 | 510 |
| 217 | 7.201.176.0/23 | 7.201.176.1 to 7.201.177.254 | 7.201.177.255 | 510 |
| 218 | 7.201.178.0/23 | 7.201.178.1 to 7.201.179.254 | 7.201.179.255 | 510 |
| 219 | 7.201.180.0/23 | 7.201.180.1 to 7.201.181.254 | 7.201.181.255 | 510 |
| 220 | 7.201.182.0/23 | 7.201.182.1 to 7.201.183.254 | 7.201.183.255 | 510 |
| 221 | 7.201.184.0/23 | 7.201.184.1 to 7.201.185.254 | 7.201.185.255 | 510 |
| 222 | 7.201.186.0/23 | 7.201.186.1 to 7.201.187.254 | 7.201.187.255 | 510 |
| 223 | 7.201.188.0/23 | 7.201.188.1 to 7.201.189.254 | 7.201.189.255 | 510 |
| 224 | 7.201.190.0/23 | 7.201.190.1 to 7.201.191.254 | 7.201.191.255 | 510 |
| 225 | 7.201.192.0/23 | 7.201.192.1 to 7.201.193.254 | 7.201.193.255 | 510 |
| 226 | 7.201.194.0/23 | 7.201.194.1 to 7.201.195.254 | 7.201.195.255 | 510 |
| 227 | 7.201.196.0/23 | 7.201.196.1 to 7.201.197.254 | 7.201.197.255 | 510 |
| 228 | 7.201.198.0/23 | 7.201.198.1 to 7.201.199.254 | 7.201.199.255 | 510 |
| 229 | 7.201.200.0/23 | 7.201.200.1 to 7.201.201.254 | 7.201.201.255 | 510 |
| 230 | 7.201.202.0/23 | 7.201.202.1 to 7.201.203.254 | 7.201.203.255 | 510 |
| 231 | 7.201.204.0/23 | 7.201.204.1 to 7.201.205.254 | 7.201.205.255 | 510 |
| 232 | 7.201.206.0/23 | 7.201.206.1 to 7.201.207.254 | 7.201.207.255 | 510 |
| 233 | 7.201.208.0/23 | 7.201.208.1 to 7.201.209.254 | 7.201.209.255 | 510 |
| 234 | 7.201.210.0/23 | 7.201.210.1 to 7.201.211.254 | 7.201.211.255 | 510 |
| 235 | 7.201.212.0/23 | 7.201.212.1 to 7.201.213.254 | 7.201.213.255 | 510 |
| 236 | 7.201.214.0/23 | 7.201.214.1 to 7.201.215.254 | 7.201.215.255 | 510 |
| 237 | 7.201.216.0/23 | 7.201.216.1 to 7.201.217.254 | 7.201.217.255 | 510 |
| 238 | 7.201.218.0/23 | 7.201.218.1 to 7.201.219.254 | 7.201.219.255 | 510 |
| 239 | 7.201.220.0/23 | 7.201.220.1 to 7.201.221.254 | 7.201.221.255 | 510 |
| 240 | 7.201.222.0/23 | 7.201.222.1 to 7.201.223.254 | 7.201.223.255 | 510 |
| 241 | 7.201.224.0/23 | 7.201.224.1 to 7.201.225.254 | 7.201.225.255 | 510 |
| 242 | 7.201.226.0/23 | 7.201.226.1 to 7.201.227.254 | 7.201.227.255 | 510 |
| 243 | 7.201.228.0/23 | 7.201.228.1 to 7.201.229.254 | 7.201.229.255 | 510 |
| 244 | 7.201.230.0/23 | 7.201.230.1 to 7.201.231.254 | 7.201.231.255 | 510 |
| 245 | 7.201.232.0/23 | 7.201.232.1 to 7.201.233.254 | 7.201.233.255 | 510 |
| 246 | 7.201.234.0/23 | 7.201.234.1 to 7.201.235.254 | 7.201.235.255 | 510 |
| 247 | 7.201.236.0/23 | 7.201.236.1 to 7.201.237.254 | 7.201.237.255 | 510 |
| 248 | 7.201.238.0/23 | 7.201.238.1 to 7.201.239.254 | 7.201.239.255 | 510 |
| 249 | 7.201.240.0/23 | 7.201.240.1 to 7.201.241.254 | 7.201.241.255 | 510 |
| 250 | 7.201.242.0/23 | 7.201.242.1 to 7.201.243.254 | 7.201.243.255 | 510 |
| 251 | 7.201.244.0/23 | 7.201.244.1 to 7.201.245.254 | 7.201.245.255 | 510 |
| 252 | 7.201.246.0/23 | 7.201.246.1 to 7.201.247.254 | 7.201.247.255 | 510 |
| 253 | 7.201.248.0/23 | 7.201.248.1 to 7.201.249.254 | 7.201.249.255 | 510 |
| 254 | 7.201.250.0/23 | 7.201.250.1 to 7.201.251.254 | 7.201.251.255 | 510 |
| 255 | 7.201.252.0/23 | 7.201.252.1 to 7.201.253.254 | 7.201.253.255 | 510 |
| 256 | 7.201.254.0/23 | 7.201.254.1 to 7.201.255.254 | 7.201.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |